## org.apache.lucene.analysis.nl
Class DutchStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.nl.DutchStemFilter

    public final class DutchStemFilter

extends TokenFilter

A filter that stems Dutch words. It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a DutchStemmer).

Author:
  Edwin de Jonge

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`DutchStemFilter(TokenStream _in)`
`DutchStemFilter(TokenStream _in, Set exclusiontable)` Builds a DutchStemFilter that uses an exclusiontable.
`DutchStemFilter(TokenStream _in, Set exclusiontable, Map stemdictionary)`

Method Summary
`Token` `next()`
`void` `setExclusionTable(HashSet exclusiontable)` Set an alternative exclusion list for this filter.
`void` `setStemDictionary(HashMap dict)` Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.
`void` `setStemmer(DutchStemmer stemmer)` Set a alternative/custom DutchStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DutchStemFilter

    public DutchStemFilter(TokenStream _in)

### DutchStemFilter

    public DutchStemFilter(TokenStream _in,
                           Set exclusiontable)

  Builds a DutchStemFilter that uses an exclusiontable.

### DutchStemFilter

    public DutchStemFilter(TokenStream _in,
                           Set exclusiontable,
                           Map stemdictionary)

Parameters:
  `stemdictionary` - Dictionary of word stem pairs, that overrule the algorithm

Method Detail

### next

    public Token next()
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(DutchStemmer stemmer)

  Set a alternative/custom DutchStemmer for this filter.

### setExclusionTable

    public void setExclusionTable(HashSet exclusiontable)

  Set an alternative exclusion list for this filter.

### setStemDictionary

    public void setStemDictionary(HashMap dict)

  Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.